<?php

if (defined('EIA_IN_PHPUNIT_TEST')) {
    require_once __DIR__ . '/Locale/Intl.php';
    require_once __DIR__ . '/Locale/Zend.php';
    require_once __DIR__ . '/Locale/RawPhp.php';
}

class Rsj_LocaleFactory
{
    public static function create($locale = 'en')
    {
        if ( extension_loaded('intl')) {
            // intl extension
            require_once __DIR__ . '/Locale/Intl.php';

            return new Rsj_Locale_Intl($locale);
        } elseif ( class_exists( 'Zend_Locale', false ) ) {
            // Zend Framework 1.x
            require_once __DIR__ . '/Locale/Zend.php';

            return new Rsj_Locale_Zend($locale);
        } else {
            require_once __DIR__ . '/Locale/RawPhp.php';

            return new Rsj_Locale_RawPhp($locale);
        }

    }
}
