<?php
/**
 * Generated by PHPUnit_SkeletonGenerator 1.2.0 on 2013-01-26 at 10:01:48.
 */
class PhgTest extends PHPUnit_Framework_TestCase
{
    /**
     * @var Rsj_Linkshare
     */
    protected $object;

    protected $original_option;

    protected $option;

    /**
     * Sets up the fixture, for example, opens a network connection.
     * This method is called before a test is executed.
     */
    protected function setUp()
    {
        $this->object = new Rsj_Phg;

		$this->original_option = get_option(Rsj_EmbedIphoneIpadApp::DB_OPTION_KEY);
    }

    /**
     * Tears down the fixture, for example, closes a network connection.
     * This method is called after a test is executed.
     */
    protected function tearDown()
    {
		update_option(Rsj_EmbedIphoneIpadApp::DB_OPTION_KEY,
					  $this->original_option);
    }

    /**
     */
    public function testGetWebServiceToken()
    {
		$option = get_option(Rsj_EmbedIphoneIpadApp::DB_OPTION_KEY);
		$option['phg'] = null;
		update_option(Rsj_EmbedIphoneIpadApp::DB_OPTION_KEY,
					  $option);
		// above does not work...
        $this->assertSame(
			'10l6f7',
			$this->object->getWebServiceToken()
        );
    }

    /**
     */
    public function testGetAffiliateUrl()
    {
        $this->assertSame(
			'https://itunes.apple.com/sg/artist/bruno-mars/id278873078?at=10l6f7',
			$this->object->getAffiliateUrl('https://itunes.apple.com/sg/artist/bruno-mars/id278873078')
        );
    }

    /**
     */
    public function testGetAffiliateUrlWithExistingParameter()
    {
        $this->assertSame(
			'https://itunes.apple.com/sg/artist/bruno-mars/id278873078?mt=8&at=10l6f7',
			$this->object->getAffiliateUrl('https://itunes.apple.com/sg/artist/bruno-mars/id278873078?mt=8')
        );
    }

    /**
     * Strictly speaking, order of the query parameters might be different under different environment (not sure)
     */
    public function testGetAffiliateUrlWithExistingParameters()
    {
        $this->assertSame(
			'https://itunes.apple.com/sg/artist/bruno-mars/id278873078?mt=8&dummy=hoge&at=10l6f7',
			$this->object->getAffiliateUrl('https://itunes.apple.com/sg/artist/bruno-mars/id278873078?mt=8&dummy=hoge')
        );
    }
}
